import App from './App'
// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
import utils from '@/utils/index.js'
import { request } from '@/config/sellerCenterRequest.js'


Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif
import uView from '@/uni_modules/uview-ui'
import empty from '@/components/empty/index.vue'
Vue.use(uView)
// 引入请求封装，将app参数传递到配置中
const http = require('config/request.js')(app)
Vue.prototype.$http = http;
Vue.prototype.$sellerHttp = request;
Vue.prototype.$utils = utils;
Vue.component('empty', empty);
// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp () {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif